#
# spec file for package python-asteval
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-asteval
Version:        0.9.17
Release:        bp154.1.28
Summary:        Safe, minimalistic evaluator of python expression using ast module
License:        MIT
Group:          Development/Languages/Python
URL:            http://github.com/newville/asteval
Source:         https://files.pythonhosted.org/packages/source/a/asteval/asteval-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-numpy >= 1.6
Requires:       python-six
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module numpy >= 1.6}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module six}
# /SECTION
%python_subpackages

%description
ASTEVAL provides a numpy-aware, safe(ish) 'eval' function

Emphasis is on mathematical expressions, and so numpy ufuncs
are used if available.  Symbols are held in the Interpreter
symbol table 'symtable':  a simple dictionary supporting a
simple, flat namespace.

Expressions can be compiled into ast node for later evaluation,
using the values in the symbol table current at evaluation time.

%prep
%setup -q -n asteval-%{version}
sed -i -e '/^#!\//, 1d' asteval/asteval.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_bin_suffix} -v

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Dec  9 2019 Todd R <toddrme2178@gmail.com>
- Update to 0.9.17
  * add 3.8 to travis config
* Tue Oct 29 2019 Todd R <toddrme2178@gmail.com>
- Update to 0.9.16
  * auto-run codecov only if numpy is installed
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.9.15:
  * some doc improvements
* Thu Jul 25 2019 pgajdos@suse.com
- version update to 0.9.14
  * no upstream changelog
* Wed Mar  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update 0.9.13:
  * Various spelling fixes
  * Error reporting tweaks
* Wed Aug 29 2018 tchvatal@suse.com
- Fix the test call to work on 42.3
* Sat Jun  2 2018 toddrme2178@gmail.com
- Use license tag
* Thu Mar 22 2018 toddrme2178@gmail.com
- Initial version
